Name: gnomeicu
Version: 0.98.2
Release: 2mdk
License: GPL
Summary: Gnome ICQ communications program 
Group: Networking/Instant messaging
BuildRequires:	autoconf2.5
BuildRequires:	automake
BuildRequires:	gcc
BuildRequires:	gdbm-devel
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	gettext
BuildRequires:	libglade-devel
BuildRequires:	libgnet-devel
BuildRequires:	gnome-core-devel
BuildRequires:	texinfo
Source: http://download.sourceforge.net/%{name}/%{version}/src/%{name}-%{version}.tar.bz2
Source1: icons-%{name}.tar.bz2
URL: http://gnomeicu.sourceforge.net
Requires: gtk+ >= 1.2.0, gnome-libs >= 1.2.0, ORBit >= 0.5.0
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
GnomeICU is a clone of Mirabilis' popular ICQ written with GTK. The original
source was taken from Matt Smith's mICQ. This is meant as a replacement for the
JavaICQ, which is slow and buggy.

%prep
%setup -q

%configure 

%make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}

%makeinstall

# mdk menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(gnomeicu):\
needs="x11"\
section="Networking/Instant messaging"\
title="GnomeICU"\
longtitle="Gnome ICQ communications program"\
command="gnomeicu -a"\
icon="gnomeicu.xpm"
EOF

# mdk icon
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xjvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%find_lang gnomeicu --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus

%files -f gnomeicu.lang
%defattr(-,root,root,755)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README TODO
%{_bindir}/gnomeicu
%{_bindir}/gnomeicu-client
%{_sysconfdir}/CORBA/servers/*
%{_sysconfdir}/sound/events/*
%{_datadir}/applets/Network/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/gnomeicu/*
%{_datadir}/sounds
%{_iconsdir}/gnomeicu.xpm
%{_liconsdir}/gnomeicu.xpm
%{_miconsdir}/gnomeicu.xpm
%{_menudir}/gnomeicu

%changelog
* Wed Mar 13 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.98.2-2mdk
- integrated Basque translation

* Wed Feb 27 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.98.2-1mdk
- 0.98.2 hot from the oven.

* Thu Feb 21 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.98-4mdk
- integrated Basque translation
- make use of find_lang --with-gnome for help files

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 0.98-3mdk
- BuildRequires

* Sat Dec 29 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.98-2mdk
- Update the Url tag (Olivier Dormond).

* Tue Dec 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.98-1mdk
- Version 0.98.
- Use the zh_TW po from the stock source.

* Sat Jul 07 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.96.1-6mdk
- Re-enable zh_TW locale.

* Sun Jun 24 2001 Stefan van der Eijk <stefan@eijk.nu> 0.96.1-5mdk
- include gnomeicu-client

* Sun Jun 24 2001 Stefan van der Eijk <stefan@eijk.nu> 0.96.1-4mdk
- BuildRequires: db1-devel
- BuildRequires: gdbm-devel
- BuildRequires: gdk-pixbuf-devel
- BuildRequires: gnome-core-devel
- Removed BuildRequires: gnome-core
- Removed BuildRequires: gnome-libs-devel
- Removed BuildRequires: libgdbm1-devel
- Removed BuildRequires: XFree86-devel
- Removed BuildRequires: zlib1-devel

* Sun Jun 24 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.96.1-3mdk
- temporarily disable zh_TW locale, to fix build

* Thu Apr 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.96.1-2mdk
- Add a Big5 Chinese translation from Abel Cheung <maddog@linuxhall.org>.
- Don't disable xss for alpha.

* Thu Mar 01 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.96.1-1mdk
- Make a 0.96.1.

* Mon Feb 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.96-1mdk
- Bump up to 0.96.
- Add requirement on gnome-libs{-devel} >= 1.2.0.

* Wed Feb 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.95.3-2mdk
- Put in the missing /usr/share/gnomeicu directory (thx cooker, Florent).

* Tue Feb 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.95.3-1mdk
- Put 0.95.3 out for cooker folks.

* Mon Feb 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.95.2-1mdk
- new and shiny source available for general consumption.

* Sat Jan 13 2001 Francis Galiegue <fg@mandrakesoft.com> 0.94.1-2mdk

- Files list fixes
- Fix typo in description

* Sun Oct 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.94.1-1mdk
- new and shiny source.

* Wed Oct 11 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 0.94-1mdk
- 0.94 

* Thu Oct 05 2000 Daouda Lo <daouda@mandrakesoft.com> 0.93-8mdk
- ok! u can run it everywhere.

* Thu Oct 05 2000 Daouda Lo <daouda@mandrakesoft.com> 0.93-7mdk
- fix silly bug (gnomeicu run only under gnome) 
- add locales.
- provide all mdk menu icons.
- menu entry embedded in spec.

* Thu Sep 07 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.93-6mdk
- Use find_lang

* Tue Sep 05 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.93-5mdk
- Modified menu hiearchy too... 

* Tue Sep 05 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.93-4mdk
- Changed Group.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.93-3mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.93-2mdk
- Fix alpha support.
- Macros.
- BM.

* Tue Jun 13 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.93-1mdk
- 0.93

* Wed Apr 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.92-2mdk
- added menu entry

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.92-1mdk
- release from helix 
- SMP build/check
- Alpha Support.

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.90b-2mdk
- fix group

* Thu Jan 27 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.90b

* Wed Jan 12 2000 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.90

* Mon Dec 20 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.68
- Added INSTALL

* Fri Nov 26 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.67

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.66
- make the %files section mroe generic
- added translations
- added help file

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Redo some specfile
- Update to 0.65 
- Update Source URL

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake compliant again.

* Fri Apr 30 1999 Gal Duval <gael@linux-mandrake.com>
- lipstick

* Fri Apr 16 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- First packaging.
